package com.cab.model;

import java.util.Date;
import java.util.List;

public class Content {
    private Long id;
    //主标题
    private String title;
    //副标题
    private String subTitle;

    private String userId;
    
    private Date createTime;
    //缩略内容
    private String contentBrief;

    private String showContentTypeName;
    
    private String contentType;

    private String contentTypeName;

    private String contentType2;

    private String contentTypeName2;

    private String contentType3;

    private String contentTypeName3;
    //静态文件路径
    private String url;
    //页面html代码
    private String htmlStr;
    //缩略图列表
    private String thumb;
    //状态
    private Integer status;
    //置顶轮播图列表
    private String headerBanner;
    
    private List<String> bannerList;
    //点赞次数
    private Long upCount;
    //评论次数
    private Long commentCount;
    //收藏次数
    private Long favoriteCount;
    //观看次数
    private Long viewCount;
    
    private List<ContentComment> commentList;
    
    private CabSysUser cabSysUser;
    //1表示已赞，0表示未赞
    private Integer isUp = 0;
    //1表示已收藏，0表示未收藏
    private Integer isFavorite = 0;
    //是否置顶
    private Integer isFirst;
    //是否首页
    private Integer isTop;
    //视频路径
    private String videoUrl;
    
    private String videoTime;
    //列表缩略图
    private String thumbMin;
    //是否原创
    private Integer isCreate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle == null ? null : subTitle.trim();
    }
    
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getContentBrief() {
        return contentBrief;
    }

    public void setContentBrief(String contentBrief) {
        this.contentBrief = contentBrief == null ? null : contentBrief.trim();
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType == null ? null : contentType.trim();
    }

    public String getContentType2() {
        return contentType2;
    }

    public void setContentType2(String contentType2) {
        this.contentType2 = contentType2 == null ? null : contentType2.trim();
    }

    public String getContentType3() {
        return contentType3;
    }

    public void setContentType3(String contentType3) {
        this.contentType3 = contentType3 == null ? null : contentType3.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb == null ? null : thumb.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getHeaderBanner() {
        return headerBanner;
    }

    public void setHeaderBanner(String headerBanner) {
        this.headerBanner = headerBanner == null ? null : headerBanner.trim();
    }

    public Long getUpCount() {
        return upCount;
    }

    public void setUpCount(Long upCount) {
        this.upCount = upCount;
    }

    public Long getCommentCount() {
        return commentCount;
    }

    public String getHtmlStr() {
        return htmlStr;
    }

    public void setHtmlStr(String htmlStr) {
        this.htmlStr = htmlStr;
    }

    public void setCommentCount(Long commentCount) {
        this.commentCount = commentCount;
    }

    public Long getFavoriteCount() {
		return favoriteCount;
	}

	public void setFavoriteCount(Long favoriteCount) {
		this.favoriteCount = favoriteCount;
	}

	public Long getViewCount() {
        return viewCount;
    }

    public void setViewCount(Long viewCount) {
        this.viewCount = viewCount;
    }

	public List<ContentComment> getCommentList() {
		return commentList;
	}

	public void setCommentList(List<ContentComment> commentList) {
		this.commentList = commentList;
	}

	public Integer getIsUp() {
		return isUp;
	}

	public void setIsUp(Integer isUp) {
		this.isUp = isUp;
	}

	public Integer getIsFavorite() {
		return isFavorite;
	}

	public void setIsFavorite(Integer isFavorite) {
		this.isFavorite = isFavorite;
	}

	public Integer getIsFirst() {
		return isFirst;
	}

	public void setIsFirst(Integer isFirst) {
		this.isFirst = isFirst;
	}

	public Integer getIsTop() {
		return isTop;
	}

	public void setIsTop(Integer isTop) {
		this.isTop = isTop;
	}

	public CabSysUser getCabSysUser() {
		return cabSysUser;
	}

	public void setCabSysUser(CabSysUser cabSysUser) {
		this.cabSysUser = cabSysUser;
	}

	public List<String> getBannerList() {
		return bannerList;
	}

    public String getThumbMin() {
        return thumbMin;
    }

    public void setThumbMin(String thumbMin) {
        this.thumbMin = thumbMin;
    }

    public Integer getIsCreate() {
        return isCreate;
    }

    public void setIsCreate(Integer isCreate) {
        this.isCreate = isCreate;
    }

    public void setBannerList(List<String> bannerList) {
		this.bannerList = bannerList;
	}

	public String getVideoUrl() {
		return videoUrl;
	}

	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}

	public String getVideoTime() {
		return videoTime;
	}

	public void setVideoTime(String videoTime) {
		this.videoTime = videoTime;
	}

	public String getShowContentTypeName() {
		return showContentTypeName;
	}

	public void setShowContentTypeName(String showContentTypeName) {
		this.showContentTypeName = showContentTypeName;
	}

    public String getContentTypeName() {
        return contentTypeName;
    }

    public void setContentTypeName(String contentTypeName) {
        this.contentTypeName = contentTypeName;
    }

    public String getContentTypeName2() {
        return contentTypeName2;
    }

    public void setContentTypeName2(String contentTypeName2) {
        this.contentTypeName2 = contentTypeName2;
    }

    public String getContentTypeName3() {
        return contentTypeName3;
    }

    public void setContentTypeName3(String contentTypeName3) {
        this.contentTypeName3 = contentTypeName3;
    }
}